#!/bin/bash

function runCmd {
    cmd=$1
    log=""
    while IFS= read -r line; do
        log="$log$line\n"
    done < <($cmd)
    echo -e "$log"
}

function on_x86_64bit {
    Linux_Dsc=$(uname -m)
    if [[ "$Linux_Dsc" == "x86_64" ]]; then
        return 0
    else
        return 1
    fi
}

if [[ $# -lt 1 ]]; then
    echo "Usage: $0 argument"
    echo "The accepted arguments are: [install|uninstall|-V]"
    exit 1
fi

if on_x86_64bit; then
    RunPathName='./64/SetupInstall'
else
    RunPathName='./32/SetupInstall'
fi

RunPathName="$RunPathName $1"
runCmd "$RunPathName"

